# Generated by Django 2.1.3 on 2018-12-08 17:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0017_auto_20181208_1446'),
    ]

    operations = [
        # migrations.CreateModel(
        #     name='Recipient',
        #     fields=[
        #         ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
        #         ('name', models.CharField(max_length=255)),
        #         ('address', models.TextField(blank=True)),
        #         ('iban', models.CharField(max_length=255)),
        #         ('bic', models.CharField(max_length=255)),
        #         ('bankname', models.CharField(max_length=255)),
        #         ('intern', models.BooleanField(default=False)),
        #     ],
        # ),
        # migrations.RenameField(
        #     model_name='vendor',
        #     old_name='name',
        #     new_name='customer_number',
        # ),
        # migrations.RemoveField(
        #     model_name='vendor',
        #     name='id',
        # ),
        #migrations.CreateModel(
        #    name='Vendor',
        #    fields=[
        #        ('recipient_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.Recipient')),
        #        ('customer_number', models.CharField(blank=True, max_length=255)),
        #    ],
        #    bases=('core.recipient',),
        #),
        # migrations.AddField(
        #     model_name='vendor',
        #     name='recipient_ptr',
        #     field=models.OneToOneField(auto_created=True, default=None, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.Recipient'),
        #     preserve_default=False,
        # ),
    ]
